Bug Hunting Session
Bug 126732 - FILEOPEN: Writer crashes on opening Docx file
Summary: FILEOPEN: Writer crashes on opening Docx file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4 all versions
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.2.7 target:6.3.1
Keywords: bibisected, bisected, wantBacktrace
Depends on:
Blocks:
 
Reported: 2019-08-06 16:29 UTC by Felix Rudolphi
Modified: 2019-08-12 07:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
File generated by docx4j 8.1.1 (31.98 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-08-06 16:30 UTC, Felix Rudolphi
Details
File generated by docx4j 8.1.1 based on the same data, works fine (31.98 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-08-06 16:30 UTC, Felix Rudolphi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Rudolphi 2019-08-06 16:29:11 UTC
Description:
Version 6.0.7.3 on Linux Mint 19.2 crashes upon opening the attached docx file, generated by docx4j. Generating the file again produces a file that works. However, it should not be possible to crash Libreoffice by opening a document.

Steps to Reproduce:
1. Open SCS-002_crash in Writer (already running)
2. Crash

Actual Results:
Crash

Expected Results:
Normal opening or error message if the file is corrupt


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.0.7.3
Build-ID: 1:6.0.7-0ubuntu0.18.04.8
CPU-Threads: 4; BS: Linux 5.0; UI-Render: Standard; VCL: gtk3; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
Comment 1 Felix Rudolphi 2019-08-06 16:30:22 UTC
Created attachment 153176 [details]
File generated by docx4j 8.1.1

Open this to immediately crash Writer 6.0.7.3
Comment 2 Felix Rudolphi 2019-08-06 16:30:57 UTC
Created attachment 153177 [details]
File generated by docx4j 8.1.1 based on the same data, works fine
Comment 3 MM 2019-08-06 18:11:09 UTC
Confirmed on windows 7 x64 with Version: 6.2.5.2 (x64)
Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU threads: 3; OS: Windows 6.1; UI render: default; VCL: win

It immediately crashes, LO doesn't even get the chance to open/show the crashinfo window.
Comment 4 Xisco Faulí 2019-08-07 15:43:41 UTC
it started to crash after https://cgit.freedesktop.org/libreoffice/core/commit/?id=178f5306979ef55a5682191dcdafb9e926e57cde, before this commit, a General Error, General input/output error was prompted
Comment 5 MM 2019-08-07 21:46:40 UTC
It seems to crash (or abort ?) on the rel: part of <rel:Relationships>, as it doesn't crash anymore if you remove it.
Comment 6 Xisco Faulí 2019-08-08 08:58:07 UTC
@Caolán, I guess this will be catch by the crashtesting instance at some point, I thought you might be interested
Comment 7 Commit Notification 2019-08-09 12:05:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ab2688df8bcf8f1bb3592ebb890028be949066d8%5E%21

Resolves: tdf#126732 don't abort on IOException, just report

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-08-09 15:12:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/4cce3278dd3f4f882e622aaf0d219063cbae9767%5E%21

Resolves: tdf#126732 don't abort on IOException, just report

It will be available in 6.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-08-09 15:52:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/a1d1a629cb985726cb7c4c38bbc166d8fbec14fb%5E%21

Resolves: tdf#126732 don't abort on IOException, just report

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2019-08-12 07:46:34 UTC
it no longer crashes in

Version: 6.4.0.0.alpha0+
Build ID: 2812610f4f39ed5892da08864893c758325d1d39
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

instead, an error message is displayed.

@Caolán, thanks for fixing this issue!